use warnings;
use strict;
use Carp;

BEGIN { require 't/.lib.t' }
plan tests => 7;

my @id;

init_gpg_homedir();

throws_ok { gpg_decrypt()                       } qr/Usage/;
throws_ok { gpg_decrypt(0, 0)                   } qr/Usage/;
throws_ok { gpg_decrypt(undef)                  } qr/undefined/;
throws_ok { gpg_decrypt(q{})                    } qr/decrypt_message failed/;
throws_ok { gpg_decrypt('junk')                 } qr/decrypt_message failed/;

gpg_import($PUB_KEY{ $KEY_ID[0] });
my $encr = gpg_encrypt(q{test}, [$KEY_ID[0]]);

throws_ok { gpg_decrypt($encr)                  } qr/secret key not available/;

init_gpg_homedir();
throws_ok { gpg_decrypt($encr)                  } qr/secret key not available/;

